Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 591329 - Review Request: beah - Test Harness
Summary: Review Request: beah - Test Harness
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: NotReady
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-05-11 22:18 UTC by Marian Csontos
Modified: 2012-04-26 18:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-26 18:34:11 UTC


Attachments (Terms of Use)
rpmlint output (deleted)
2010-05-11 22:41 UTC, Marian Csontos
no flags Details
mock output (F11) (deleted)
2010-05-11 22:42 UTC, Marian Csontos
no flags Details

Description Marian Csontos 2010-05-11 22:18:42 UTC
Spec URL: http://mcsontos.fedorapeople.org/beah/0.6.rpmlint.4/beah.spec
SRPM URL: http://mcsontos.fedorapeople.org/beah/0.6.rpmlint.4/beah-0.6.rpmlint.4-1.fc11.src.rpm
Description: Beah - Beaker Test Harness.

Ultimate Test Harness, with goal to serve any tests and any test scheduler
tools. Harness consist of a server and two kinds of clients - backends and
tasks.

Backends issue commands to Server and process events from tasks.
Tasks are mostly events producers.

Powered by Twisted.

FE-NEEDSPONSOR
==============
This is my first package and I need a sponsor. Thanks.

Comment 1 Marian Csontos 2010-05-11 22:41:28 UTC
Created attachment 413281 [details]
rpmlint output

Comment 2 Marian Csontos 2010-05-11 22:42:22 UTC
Created attachment 413282 [details]
mock output (F11)

Comment 3 Jason Tibbitts 2010-11-19 16:38:18 UTC
Some random comments.

This builds but doesn't install properly:

Non-fatal POSTIN scriptlet failure in rpm package beah-0.6.rpmlint.4-1.fc15.noarch
chkconfig version 1.3.49 - Copyright (C) 1997-2000 Red Hat, Inc.
This may be freely redistributed under the terms of the GNU Public License.
usage:   chkconfig [--list] [--type <type>] [name]
         chkconfig --add <name>
         chkconfig --del <name>
         chkconfig --override <name>
         chkconfig [--level <levels>] [--type <type>] <name> <on|off|reset|resetpriorities>
warning: %post(beah-0.6.rpmlint.4-1.fc15.noarch) scriptlet failed, exit status 1

Please remove the rhel3 stuff; there's no point at all in it as el4 is the oldest thing you can build for.

Summary: and %description could use some work.  In particular, there's no need to have the URL of the project in the Summary; that's what the URL: field is for.

Explicit python(abi) dependency is unnecessary (and redundant) in Fedora; you end up with:
  python(abi) >= 2.3
  python(abi) = 2.7
there's also no need for the manual python dependency.

Source0: URL is invalid.

Comment 4 Marian Csontos 2010-11-22 09:03:04 UTC
Thanks for the comments. I will try to iron out these issues.

Re: el3: We are still using RHEL3 :-( However I would like to have a cleaner master and having a separate branch for things like el3 support - no need for the clutter in master spec.

Comment 5 Michael Schwendt 2012-04-26 18:34:11 UTC
With regard today's thread on fedora devel list, I'm closing this in accordance with

  http://fedoraproject.org/wiki/Policy_for_stalled_package_reviews

as nothing has happened in here since 2010-11-22, and tickets like this fill existing tracker pages, such as
  http://fedoraproject.org/PackageReviewStatus/NEEDSPONSOR.html
which makes it less easy to process them regularly.


Note You need to log in before you can comment on or make changes to this bug.